package com.oguerreiro.resilient.repository;

import java.util.List;

import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import com.oguerreiro.resilient.domain.Dashboard;

/**
 * Spring Data JPA repository for the Dashboard entity.
 */
@SuppressWarnings("unused")
@Repository
public interface DashboardRepository extends ResilientJpaRepository<Dashboard, Long> {

  @Query("""
      SELECT d
      FROM   Dashboard d
      WHERE  d.isInternal = true
      """)
  List<Dashboard> findAllInternal();

}
